#!/bin/sh

PROJECT_DIRECTORY=${1}
OUTPUT_DIRECTORY=${2}
echo Advisor Started
echo Input directory: "${PROJECT_DIRECTORY}" Output directory: "${OUTPUT_DIRECTORY}"

script_dir="$(dirname "$0")"

 #add --network vulnerablecode_mynetwork when running together with a custom vulnerable code instance
docker run --rm \
--network vulnerablecode_mynetwork \
-v "${script_dir}":/config \
-v "${PROJECT_DIRECTORY}":/project \
-v "${OUTPUT_DIRECTORY}":/result \
ort --config /config/config.yml --info advise -f JSON -i /project/analyzer-result.json --output-dir /result -a VulnerableCode
exit 0